#!/bin/bash

EXPERIMENT_NAME=hanwei.infosphere.emulab.net
VM1_ID=`sudo /usr/sbin/xm list | awk '/\<pcvm.*-1\>/ { print $2 }'`
VM2_ID=`sudo /usr/sbin/xm list | awk '/\<pcvm.*-2\>/ { print $2 }'`

RAMPUP=480000
MI=720000
current_seconds=`date +%s`
start_seconds=`echo \( $RAMPUP / 1000 \) + $current_seconds - 60 | bc`
start_time=`date -d "1970-01-01 $start_seconds secs UTC" +%Y%m%d%H%M%S`
end_seconds=`echo \( $RAMPUP / 1000 + $MI / 1000 + 60 \) + $current_seconds | bc`
end_time=`date -d "1970-01-01 $end_seconds secs UTC" +%Y%m%d%H%M%S`

date_cmd="date +%Y%m%d%H%M%S"
date=`$date_cmd`
while [ $date -lt $start_time ]; do
  sleep 1
  date=`$date_cmd`
done
echo `date +%Y-%m-%d\ %H:%M:%S` > xenmon_runtime.log

# start xenmon
sudo nice -n -1 /usr/sbin/xenmon.py -n -i $1 -t 0 &
xenmon_pid=$!

# start xenoprof
sudo opcontrol --reset
sudo opcontrol --start-daemon --event=BSQ_CACHE_REFERENCE:1000000:0x100:1:1 --event=INSTR_RETIRED:1000000:0x01:1:1 --xen=/boot/xen-syms-3.3.1 --vmlinux=/boot/vmlinux-syms-2.6.18.8-xen0-t3 --active-domains=$VM1_ID,$VM2_ID
#sudo opcontrol --start-daemon --event=ITLB_REFERENCE:1000000:0x02:1:1 --event=INSTR_RETIRED:1000000:0x01:1:1 --xen=/boot/xen-syms-3.3.1 --vmlinux=/boot/vmlinux-syms-2.6.18.8-xen0-t3 --active-domains=$VM1_ID,$VM2_ID

for VM_HOST in "node16" "node17"
do
	ssh -o StrictHostKeyChecking=no -o BatchMode=yes $VM_HOST.$EXPERIMENT_NAME "
		sudo opcontrol --reset
		sudo opcontrol --start --event=BSQ_CACHE_REFERENCE:1000000:0x100:1:1 --event=INSTR_RETIRED:1000000:0x01:1:1 --xen=/boot/xen-syms-3.3.1 --vmlinux=/boot/vmlinux-syms-2.6.18.8-xen0-t3
		#sudo opcontrol --start --event=ITLB_REFERENCE:1000000:0x02:1:1 --event=INSTR_RETIRED:1000000:0x01:1:1 --xen=/boot/xen-syms-3.3.1 --vmlinux=/boot/vmlinux-syms-2.6.18.8-xen0-t3
	"
done
sudo opcontrol --start

while [ $date -lt $end_time ]; do
  sleep 1
  date=`$date_cmd`
done

sudo opcontrol --stop
sudo opcontrol -h
for VM_HOST in "node16" "node17"
do
  ssh -o StrictHostKeyChecking=no -o BatchMode=yes $VM_HOST.$EXPERIMENT_NAME "
    sudo opcontrol -h
  	sudo opreport -f -o /tmp/xenoprof_$VM_HOST.log
		sudo chmod 777 *.log
	" &
done

sudo opreport -f -o /tmp/xenoprof_vhost-0.log


sudo kill -9 $xenmon_pid
echo `date +%Y-%m-%d\ %H:%M:%S` >> xenmon_runtime.log

sudo chmod 777 *.log
