 

#!/bin/bash

cd /proj/Infosphere/hanwei/rubbosMulini6/output/1_1_1_xen_B_RW
source set_elba_env.sh
A_CONTROL_HOST=node1
N=1600
B_WORKLOAD=rubbos.properties_$N
RUBBOS_RESULTS_DIR_NAME=2011-11-09T072937-RW$N-B

echo "Starting RUBBoS"

ssh $RUBBOS_RESULTS_HOST "
  mkdir -p $RUBBOS_RESULTS_DIR_BASE
"
ssh $BENCHMARK_HOST "
  mkdir -p $TMP_RESULTS_DIR_BASE/$RUBBOS_RESULTS_DIR_NAME
"

for i in "rubbos.properties_1000" "rubbos.properties_1200" "rubbos.properties_1400" "rubbos.properties_1600" "rubbos.properties_1800" "rubbos.properties_2000" "rubbos.properties_2200" "rubbos.properties_2400" "rubbos.properties_2600" "rubbos.properties_2800" "rubbos.properties_3000" "rubbos.properties_3200" "rubbos.properties_3400"
do

  ssh $BENCHMARK_HOST "
    source /proj/Infosphere/hanwei/rubbosMulini6/output/1_1_1_xen_B_RW/set_elba_env.sh
    rm -f $RUBBOS_HOME/Client/rubbos.properties
  "
  scp $OUTPUT_HOME/rubbos_conf/$B_WORKLOAD $BENCHMARK_HOST:$RUBBOS_HOME/Client/rubbos.properties

  echo "Resetting all data"
  $OUTPUT_HOME/scripts/reset_all.sh

  # Browsing Only

  # Read/Write
  echo "Start Read/Write with $B_WORKLOAD"
  echo "Removing previous logs"
  ssh $HTTPD_HOST "rm -f $HTTPD_HOME/logs/*log"
  ssh $TOMCAT1_HOST "rm -f $CATALINA_HOME/logs/*"
  ssh $MYSQL1_HOST "rm -f $MYSQL_HOME/run/*.log $RUBBOS_TOP/mysql_mon-*"

  $OUTPUT_HOME/scripts/start_all.sh
  sleep 15

  ssh $BENCHMARK_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT1_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT2_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT3_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT4_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $HTTPD_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $TOMCAT1_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $MYSQL1_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"

  echo "B ready to start $B_WORKLOAD" > /tmp/B_$i
  scp /tmp/B_$i $A_CONTROL_HOST:/tmp/
  until [ -f /tmp/A_$i ]; do
    sleep 1
  done
  rm -f /tmp/A_$i


  ssh $BENCHMARK_HOST "
    source /proj/Infosphere/hanwei/rubbosMulini6/output/1_1_1_xen_B_RW/set_elba_env.sh
    cd $RUBBOS_HOME/bench
    \rm -r 20*

    # Execute benchmark
    ./rubbos-servletsRW.sh

    # Collect results
    echo "The benchmark has finished. Now, collecting results..."
    cd 20*
    scp $BENCHMARK_HOST:$RUBBOS_TOP/sar-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/ps-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/iostat-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/sar-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/ps-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/iostat-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/sar-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/ps-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/iostat-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/sar-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/ps-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/iostat-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/postgres_lock-* ./

    cd ..
    mv 20* $TMP_RESULTS_DIR_BASE/$RUBBOS_RESULTS_DIR_NAME/
  "

  #$OUTPUT_HOME/scripts/stop_all.sh
  $OUTPUT_HOME/scripts/kill_all.sh
  sleep 15
  echo "End Read/Write with $i"

done
rm -rf /tmp/*rubbos.properties*

echo "Processing the results..."
ssh $BENCHMARK_HOST "
  cd $TMP_RESULTS_DIR_BASE
  cd $RUBBOS_RESULTS_DIR_NAME
  scp $RUBBOS_RESULTS_HOST:$RUBBOS_RESULTS_DIR_BASE/calc-sarSummary.prl ../
  ../calc-sarSummary.prl

  rm -f 20*/*.bin

  cd ../
  tar zcvf $RUBBOS_RESULTS_DIR_NAME.tgz $RUBBOS_RESULTS_DIR_NAME
  scp $RUBBOS_RESULTS_DIR_NAME.tgz $RUBBOS_RESULTS_HOST:$RUBBOS_RESULTS_DIR_BASE/
"

echo "Finish RUBBoS"


















 
