
#!/bin/bash

set -o allexport

# HOSTS
CONTROL_HOST=node1-lan1
BENCHMARK_HOST=node2-lan1
CLIENT1_HOST=node3-lan1
CLIENT2_HOST=node4-lan1
CLIENT3_HOST=node5-lan1
CLIENT4_HOST=node6-lan1
HTTPD_HOST=node7-lan1
TOMCAT1_HOST=node8-lan2
TOMCAT2_HOST=node9-lan2
CJDBC_HOST=node10-lan3
MYSQL1_HOST=node11-lan4
MYSQL2_HOST=node12-lan4

# Experiment name on Emulab
EMULAB_EXPERIMENT_NAME=hanwei.infosphere.emulab.net

# Directories from which files are copied
WORK_HOME=/proj/Infosphere/hanwei/rubbosMulini6
OUTPUT_HOME=/proj/Infosphere/hanwei/rubbosMulini6/output/1_2_1_2_Apache22
SOFTWARE_HOME=/proj/Infosphere/yasu/softwares

# Output directory for results of RUBBoS benchmark
RUBBOS_RESULTS_HOST=bonn.cc.gt.atl.ga.us
RUBBOS_RESULTS_DIR_BASE=/home/hanwei/Rubbos_1_2_1_2_Apache22
RUBBOS_RESULTS_DIR_NAME=2011-09-27T212636-0600

# Target directories
ELBA_TOP=/mnt/elba
RUBBOS_TOP=$ELBA_TOP/rubbos
TMP_RESULTS_DIR_BASE=/mnt/elba/rubbos/results
RUBBOS_HOME=/mnt/elba/rubbos/RUBBoS
SYSSTAT_HOME=/mnt/elba/rubbos/sysstat-7.0.0
HTTPD_HOME=/mnt/elba/rubbos/apache2
HTTPD_INSTALL_FILES=$RUBBOS_TOP/httpd-2.2.20
MOD_JK_INSTALL_FILES=$RUBBOS_TOP/jakarta-tomcat-connectors-1.2.15-src
MOD_JK_INSTALL_CONFIGURE=$MOD_JK_INSTALL_FILES/jk/native
CATALINA_HOME=/mnt/elba/rubbos/apache-tomcat-5.5.17
SERVLET_API_PATH=$CATALINA_HOME/common/lib/servlet-api.jar
CATALINA_BASE=$CATALINA_HOME
CJDBC_HOME=$RUBBOS_TOP/c-jdbc-2.0.2-bin
MYSQL_HOME=$RUBBOS_TOP/mysql-5.0.51a-linux-i686-glibc23
JONAS_ROOT=

# Java & Ant
JAVA_HOME=/mnt/elba/rubbos/jdk1.5.0_07
JAVA_OPTS="-Xmx1300m"
J2EE_HOME=/mnt/elba/rubbos/j2sdkee1.3.1
ANT_HOME=$RUBBOS_TOP/apache-ant-1.6.5

# Tarballs
JAVA_TARBALL=jdk1.5.0_07.tar.gz
J2EE_TARBALL=j2sdkee1.3.1.jar.gz
ANT_TARBALL=apache-ant-1.6.5.tar.gz
SYSSTAT_TARBALL=sysstat-7.0.0.tar.gz
HTTPD_TARBALL=httpd-2.2.20.tar.gz
MOD_JK_TARBALL=jakarta-tomcat-connectors-1.2.15-src.tar.gz
TOMCAT_TARBALL=apache-tomcat-5.5.17.tar.gz
CJDBC_TARBALL=c-jdbc-2.0.2-bin-modified.tar.gz
MYSQL_TARBALL=mysql-5.0.51a-linux-i686-glibc23.tar.gz
RUBBOS_TARBALL=RUBBoS-servlets.tar.gz
RUBBOS_DATA_TARBALL=rubbos_data.tar.gz
RUBBOS_DATA_TEXTFILES_TARBALL=smallDB-rubbos-modified.tgz

# for MySQL
MYSQL_CONNECTOR=mysql-connector-java-5.1.17-bin.jar
MYSQL_PORT=3313
MYSQL_SOCKET=$MYSQL_HOME/mysql.sock
MYSQL_DATA_DIR=$MYSQL_HOME/data
MYSQL_ERR_LOG=$MYSQL_HOME/data/mysql.log
MYSQL_PID_FILE=$MYSQL_HOME/run/mysqld.pid

# for DBs & C-JDBC
ROOT_PASSWORD=new-password
ELBA_USER=elba
ELBA_PASSWORD=elba


CLASSPATH=$CLASSPATH:$JONAS_ROOT/bin/unix/registry:$JAVA_HOME:$JAVA_HOME/lib/tools.jar:$SERVLET_API_PATH:.

PATH=$JAVA_HOME/bin:$JONAS_ROOT/bin/unix:$ANT_HOME/bin:$CATALINA_HOME/bin:$PATH
set +o allexport

