 

#!/bin/bash

cd /proj/Infosphere/hanwei/rubbosMulini6/output/1_2_1_2_jdk6
source set_elba_env.sh

echo "Starting RUBBoS"

ssh $RUBBOS_RESULTS_HOST "
  mkdir -p $RUBBOS_RESULTS_DIR_BASE
"
ssh $BENCHMARK_HOST "
  mkdir -p $TMP_RESULTS_DIR_BASE/$RUBBOS_RESULTS_DIR_NAME
"

for i in "rubbos.properties_1000" "rubbos.properties_2000" "rubbos.properties_3000" "rubbos.properties_4000" "rubbos.properties_5000" "rubbos.properties_6000" "rubbos.properties_7000" "rubbos.properties_8000" "rubbos.properties_9000" "rubbos.properties_10000" "rubbos.properties_11000" "rubbos.properties_12000" "rubbos.properties_13000"
do

  ssh $BENCHMARK_HOST "
    source /proj/Infosphere/hanwei/rubbosMulini6/output/1_2_1_2_jdk6/set_elba_env.sh
    rm -f $RUBBOS_HOME/Client/rubbos.properties
  "
  scp $OUTPUT_HOME/rubbos_conf/$i $BENCHMARK_HOST:$RUBBOS_HOME/Client/rubbos.properties

  echo "Resetting all data"
  $OUTPUT_HOME/scripts/reset_all.sh

  # Browsing Only
  echo "Start Browsing Only with $i"
  echo "Removing previous logs..."
  ssh $HTTPD_HOST "rm -f $HTTPD_HOME/logs/*log"
  ssh $TOMCAT1_HOST "rm -f $CATALINA_HOME/logs/*"
  ssh $TOMCAT2_HOST "rm -f $CATALINA_HOME/logs/*"
  ssh $CJDBC_HOST "rm -f $CJDBC_HOME/log/*"
  ssh $MYSQL1_HOST "rm -f $MYSQL_HOME/run/*.log $RUBBOS_TOP/mysql_mon-*"
  ssh $MYSQL2_HOST "rm -f $MYSQL_HOME/run/*.log $RUBBOS_TOP/mysql_mon-*"

  $OUTPUT_HOME/scripts/start_all.sh
  sleep 15

  ssh $BENCHMARK_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT1_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT2_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT3_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT4_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $HTTPD_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $TOMCAT1_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $TOMCAT2_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CJDBC_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $MYSQL1_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $MYSQL2_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"


  ssh $BENCHMARK_HOST "
    source /proj/Infosphere/hanwei/rubbosMulini6/output/1_2_1_2_jdk6/set_elba_env.sh
    cd $RUBBOS_HOME/bench
    \rm -r 20*

    # Execute benchmark
    ./rubbos-servletsBO.sh

    # Collect results
    echo "The benchmark has finished. Now, collecting results..."
    cd 20*
    scp $BENCHMARK_HOST:$RUBBOS_TOP/sar-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/ps-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/iostat-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/sar-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/ps-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/iostat-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/sar-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/ps-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/iostat-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $TOMCAT2_HOST:$RUBBOS_TOP/sar-* ./
    scp $TOMCAT2_HOST:$RUBBOS_TOP/ps-* ./
    scp $TOMCAT2_HOST:$RUBBOS_TOP/iostat-* ./
    scp $TOMCAT2_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $TOMCAT2_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CJDBC_HOST:$RUBBOS_TOP/sar-* ./
    scp $CJDBC_HOST:$RUBBOS_TOP/ps-* ./
    scp $CJDBC_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CJDBC_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CJDBC_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/sar-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/ps-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/iostat-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $MYSQL2_HOST:$RUBBOS_TOP/sar-* ./
    scp $MYSQL2_HOST:$RUBBOS_TOP/ps-* ./
    scp $MYSQL2_HOST:$RUBBOS_TOP/iostat-* ./
    scp $MYSQL2_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $MYSQL2_HOST:$RUBBOS_TOP/postgres_lock-* ./

    cd ..
    mv 20* $TMP_RESULTS_DIR_BASE/$RUBBOS_RESULTS_DIR_NAME/
  "

  #$OUTPUT_HOME/scripts/stop_all.sh
  $OUTPUT_HOME/scripts/kill_all.sh
  sleep 15
  echo "End Browsing Only with $i"

  # Read/Write
  echo "Start Read/Write with $i"
  echo "Removing previous logs"
  ssh $HTTPD_HOST "rm -f $HTTPD_HOME/logs/*log"
  ssh $TOMCAT1_HOST "rm -f $CATALINA_HOME/logs/*"
  ssh $TOMCAT2_HOST "rm -f $CATALINA_HOME/logs/*"
  ssh $CJDBC_HOST "rm -f $CJDBC_HOME/log/*"
  ssh $MYSQL1_HOST "rm -f $MYSQL_HOME/run/*.log $RUBBOS_TOP/mysql_mon-*"
  ssh $MYSQL2_HOST "rm -f $MYSQL_HOME/run/*.log $RUBBOS_TOP/mysql_mon-*"

  $OUTPUT_HOME/scripts/start_all.sh
  sleep 15

  ssh $BENCHMARK_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT1_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT2_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT3_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CLIENT4_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $HTTPD_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $TOMCAT1_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $TOMCAT2_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $CJDBC_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $MYSQL1_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"
  ssh $MYSQL2_HOST "rm -f $RUBBOS_TOP/sar-* $RUBBOS_TOP/ps-* $RUBBOS_TOP/iostat-*"


  ssh $BENCHMARK_HOST "
    source /proj/Infosphere/hanwei/rubbosMulini6/output/1_2_1_2_jdk6/set_elba_env.sh
    cd $RUBBOS_HOME/bench
    \rm -r 20*

    # Execute benchmark
    ./rubbos-servletsRW.sh

    # Collect results
    echo "The benchmark has finished. Now, collecting results..."
    cd 20*
    scp $BENCHMARK_HOST:$RUBBOS_TOP/sar-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/ps-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/iostat-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $BENCHMARK_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT1_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT2_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT3_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/sar-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/ps-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CLIENT4_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/sar-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/ps-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/iostat-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $HTTPD_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/sar-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/ps-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/iostat-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $TOMCAT1_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $TOMCAT2_HOST:$RUBBOS_TOP/sar-* ./
    scp $TOMCAT2_HOST:$RUBBOS_TOP/ps-* ./
    scp $TOMCAT2_HOST:$RUBBOS_TOP/iostat-* ./
    scp $TOMCAT2_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $TOMCAT2_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $CJDBC_HOST:$RUBBOS_TOP/sar-* ./
    scp $CJDBC_HOST:$RUBBOS_TOP/ps-* ./
    scp $CJDBC_HOST:$RUBBOS_TOP/iostat-* ./
    scp $CJDBC_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $CJDBC_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/sar-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/ps-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/iostat-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $MYSQL1_HOST:$RUBBOS_TOP/postgres_lock-* ./
    scp $MYSQL2_HOST:$RUBBOS_TOP/sar-* ./
    scp $MYSQL2_HOST:$RUBBOS_TOP/ps-* ./
    scp $MYSQL2_HOST:$RUBBOS_TOP/iostat-* ./
    scp $MYSQL2_HOST:$RUBBOS_TOP/mysql_mon-* ./
    scp $MYSQL2_HOST:$RUBBOS_TOP/postgres_lock-* ./

    cd ..
    mv 20* $TMP_RESULTS_DIR_BASE/$RUBBOS_RESULTS_DIR_NAME/
  "

  #$OUTPUT_HOME/scripts/stop_all.sh
  $OUTPUT_HOME/scripts/kill_all.sh
  sleep 15
  echo "End Read/Write with $i"

done

echo "Processing the results..."
ssh $BENCHMARK_HOST "
  cd $TMP_RESULTS_DIR_BASE
  cd $RUBBOS_RESULTS_DIR_NAME
  scp $RUBBOS_RESULTS_HOST:$RUBBOS_RESULTS_DIR_BASE/calc-sarSummary.prl ../
  ../calc-sarSummary.prl

  rm -f 20*/*.bin

  cd ../
  tar zcvf $RUBBOS_RESULTS_DIR_NAME.tgz $RUBBOS_RESULTS_DIR_NAME
  scp $RUBBOS_RESULTS_DIR_NAME.tgz $RUBBOS_RESULTS_HOST:$RUBBOS_RESULTS_DIR_BASE/
"

echo "Finish RUBBoS"


















 
