
CREATE TABLE categories (
   id BIGINT NOT NULL UNIQUE,
   name VARCHAR(50),
   PRIMARY KEY(id)
);

CREATE TABLE users (
   id            SERIAL,
   firstname     VARCHAR(20),
   lastname      VARCHAR(20),
   nickname      VARCHAR(20) NOT NULL UNIQUE,
   password      VARCHAR(20) NOT NULL,
   email         VARCHAR(50) NOT NULL,
   rating        INTEGER,
   access        INTEGER,
   creation_date TIMESTAMP,
   PRIMARY KEY(id)
);

INSERT INTO users VALUES (0, 'Anonymous', 'Coward', 'Anonymous Coward', '+_)(*&^%$#@!', 'anonymous@rubbos.com', 0, 0, NOW());
UPDATE users SET id=0 WHERE nickname='Anonymous Coward';

CREATE TABLE stories (
   id            SERIAL,
   title         VARCHAR(100),
   body          TEXT,
   date          TIMESTAMP,
   writer        BIGINT NOT NULL,
   category      BIGINT NOT NULL,
   PRIMARY KEY(id)
);


CREATE TABLE old_stories (
   id            SERIAL,
   title         VARCHAR(100),
   body          TEXT,
   date          TIMESTAMP,
   writer        BIGINT NOT NULL,
   category      BIGINT NOT NULL,
   PRIMARY KEY(id)
);


CREATE TABLE submissions (
   id            SERIAL,
   title         VARCHAR(100),
   body          TEXT,
   date          TIMESTAMP,
   writer        BIGINT,
   category      BIGINT NOT NULL,
   PRIMARY KEY(id)
);


CREATE TABLE comments (
   id           SERIAL,
   writer       BIGINT,
   story_id     BIGINT NOT NULL,
   parent       BIGINT,
   childs       BIGINT,
   rating       INTEGER,
   date         TIMESTAMP,
   subject      VARCHAR(100),
   comment      TEXT,
   PRIMARY KEY(id)
);


CREATE TABLE old_comments (
   id           SERIAL,
   writer       BIGINT,
   story_id     BIGINT NOT NULL,
   parent       BIGINT,
   childs       BIGINT,
   rating       INTEGER,
   date         TIMESTAMP,
   subject      VARCHAR(100),
   comment      TEXT,
   PRIMARY KEY(id)
);



CREATE TABLE moderator_log (
   id           SERIAL,
   moderator_id BIGINT NOT NULL,
   comment_id   BIGINT NOT NULL,
   rating       INTEGER,
   date         TIMESTAMP,
   PRIMARY KEY(id)
);
