import java.io.*;

import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.transform.OutputKeys;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.TransformerException;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

import org.apache.xpath.XPathAPI;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Attr;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeIterator;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public class Dep {

  private String InputXML;
  private String XSLTfile;

  public Dep(String string1, String string2){
    InputXML = string1;
    XSLTfile = string2;
  }

  public void generate() throws Exception {
    TransformerFactory tFactory = TransformerFactory.newInstance();

    Transformer transformer = tFactory.newTransformer(new StreamSource(new FileInputStream(XSLTfile)));

    DocumentBuilderFactory dfactory = DocumentBuilderFactory.newInstance();
                dfactory.setNamespaceAware(true);
                Document doc = dfactory.newDocumentBuilder().parse(new InputSource(new FileInputStream(InputXML)));

                Node xtbRoot = XPathAPI.selectSingleNode(doc, "/");

    transformer.transform(new DOMSource(xtbRoot),
                          new StreamResult(new FileOutputStream("Dep.xml")));
  }

  public static void main(String[] args) {
    String string1 = args[0];
    String string2 = args[1];
    Dep xsltsample = new Dep(string1, string2);
    try{
      xsltsample.generate();
    }catch(Exception e){System.out.println(e);};

  }
}
