import java.io.*; 

import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.transform.OutputKeys;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
//import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

import org.apache.xpath.XPathAPI;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Attr;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeIterator;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;


public class DeployScriptGenerator {

	private String template;
	private String inXTBL;

	public DeployScriptGenerator(String in, String templt) {
		inXTBL = in;
		template = templt;
	}

	public void generate() throws Exception {
		DocumentBuilderFactory dfactory = DocumentBuilderFactory.newInstance();
                dfactory.setNamespaceAware(true);
                Document doc = dfactory.newDocumentBuilder().parse(new InputSource(new FileInputStream(inXTBL)));

		Node xtbRoot = XPathAPI.selectSingleNode(doc, "/");

//		Transformer tr = TransformerFactory.newInstance().newTransformer();
//		tr.setOutputProperty(OutputKeys.OMIT_XML_DECLARATION, "yes");
//		tr.transform(new DOMSource(xtbRoot),
//				new StreamResult(new FileOutputStream("tempDsgOutput.xml")));


		TransformerFactory tFactory = TransformerFactory.newInstance();
                Transformer transformer = tFactory.newTransformer(new StreamSource(new FileInputStream(template)));

//                transformer.transform(new StreamSource(new FileInputStream("tempDsgOutput.xml")),
//                        new StreamResult(new FileOutputStream("dsgOutput.xml")));
		transformer.transform(new DOMSource(xtbRoot),
                      	  new StreamResult(new FileOutputStream("tempDsgOutput.xml")));

		dfactory = DocumentBuilderFactory.newInstance();
		doc = dfactory.newDocumentBuilder().parse(new InputSource(new FileInputStream("tempDsgOutput.xml")));
		
		boolean moreTo = true;
		while(moreTo) {
			xtbRoot = XPathAPI.selectSingleNode(doc, "/");
			Node paste = null;
			paste = XPathAPI.selectSingleNode(doc, "//pastehere/@id");
			if(paste == null) {
				moreTo = false;
			} else if((paste.getNodeValue() != null) && (paste.getNodeValue().length() > 0)) {
				System.out.println(">>>>>"+paste.getNodeValue() );
				tFactory = TransformerFactory.newInstance();
		                transformer = tFactory.newTransformer(
							new StreamSource(new FileInputStream(paste.getNodeValue())));
				transformer.transform(new DOMSource(xtbRoot),
				                          new StreamResult(new FileOutputStream("dsgOutput.xml")));
				System.out.println(">>>>>>>>>>>>>> Template Transformation >>>>>>>>>\n");
			} else {
//				Node parentNode = paste.getParentNode();
//				Node gparentNode = parentNode.getParentNode();
				Node owner = ((Attr)paste).getOwnerElement();
				Node parentNode = owner.getParentNode();
				parentNode.removeChild(owner);
//				gparentNode.removeChild(parentNode);
				tFactory = TransformerFactory.newInstance();
                                transformer = tFactory.newTransformer();
                                transformer.transform(new DOMSource(xtbRoot),
                                                          new StreamResult(new FileOutputStream("dsgOutput.xml")));
				System.out.println(">>>>>>>>>>>> empty template >>>>>>\n");
			}
			dfactory = DocumentBuilderFactory.newInstance();
                        doc = dfactory.newDocumentBuilder().parse(new InputSource(new FileInputStream("dsgOutput.xml")));
		}

		buildToSource();
	}


	public void buildToSource()
                throws TransformerException, FileNotFoundException, IOException, ParserConfigurationException, SAXException {

		DocumentBuilderFactory dfactory = DocumentBuilderFactory.newInstance();
		Document doc = dfactory.newDocumentBuilder().parse(new InputSource(new FileInputStream("dsgOutput.xml")));

		/* find a <file> element that has no <file> ancestor */	
		NodeIterator outterMostFiles = XPathAPI.selectNodeIterator(doc, "//file/ancestor::*[not(file)]");
		Node outterMostFile = outterMostFiles.nextNode();
		Node outterMostParent = outterMostFile.getParentNode();
	
		System.out.println("###### outterMost <file> is "+ outterMostFile.getNodeName());
		System.out.println("###### outterMost parent is "+ outterMostParent.getNodeName());

		/* find all <file> elements embedded in another <file> element */
		/* and restructure the tree before processing to files */
		NodeIterator innerFiles = XPathAPI.selectNodeIterator(doc, "//file//file");
		Node innerFile = null;
		while ((innerFile = innerFiles.nextNode())!= null) {
			Node orgParent = innerFile.getParentNode();
			orgParent.removeChild(innerFile);
			outterMostParent.insertBefore(innerFile, outterMostFile);
//			outterMostParent.appendChild(innerFile);
                }

		/* now, process all <file> elements to generate script outputs */
                NodeIterator files = XPathAPI.selectNodeIterator(doc, "//file");
                Node file = null;
                while ((file = files.nextNode())!= null) {
                        Node loc = XPathAPI.selectSingleNode(file, "./name/@loc");
                        Node name = XPathAPI.selectSingleNode(file, "./name/@id");
                        Node content = XPathAPI.selectSingleNode(file, "./content");

                        File filePath = new File(loc.getNodeValue());
                        filePath.mkdir();

                        FileWriter fw = new FileWriter(loc.getNodeValue() + "/" + name.getNodeValue());

                        generateSource(content, fw);

                        fw.close();
                }
        }


	private void generateSource(Node c, FileWriter fw) throws IOException {
                NodeList nl = c.getChildNodes();
                Node cn = null;

                for (int i = 0; i < nl.getLength(); i++) {
                        cn = nl.item(i);
                        if (isTextNode(cn)) {
                                String line = null;

                                BufferedReader br = new BufferedReader(new StringReader(cn.getNodeValue()));

                                while((line = br.readLine()) != null) {
                                        char inputChars[] = new char[line.length() + 1];
                                        line.getChars(0, line.length(), inputChars, 0);
                                        inputChars[line.length()] = '\n';

                                        fw.write(inputChars);
                                }
                                fw.flush();
                        } else {
                                generateSource(cn, fw);
                        }
                }
        }

        static boolean isTextNode(Node n) {
                if (n == null)
                        return false;
                short nodeType = n.getNodeType();
                return nodeType == Node.CDATA_SECTION_NODE || nodeType == Node.TEXT_NODE;
        }


	public static void main(String[] args) throws Exception {
		String templt;
		String inXTBL;
		
		inXTBL = args[0];
		templt = args[1];

		DeployScriptGenerator dsg = new DeployScriptGenerator(inXTBL, templt);
		dsg.generate();
	}
}



