import java.io.*;

//import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
//import javax.xml.transform.OutputKeys;
//import javax.xml.transform.Transformer;
//import javax.xml.transform.TransformerFactory;
//import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
//import javax.xml.transform.dom.DOMSource;
//import javax.xml.transform.stream.StreamResult;
//import javax.xml.transform.stream.StreamSource;

import org.apache.xpath.XPathAPI;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
//import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeIterator;
//import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public class MuliniAspectWeaver {
	private MuliniTransformer mTransformer;

	private Document lastXMLDoc;

	private Document currXMLDoc;

	private int applyAspectDepth;

	public MuliniAspectWeaver(MuliniTransformer mTransformer) {
		this.mTransformer = mTransformer;
	}

	public int getAspectDepth() {
		return applyAspectDepth;
	}

	public void weaveAspects(String className, String lang, int step) 
		throws FileNotFoundException, IOException, TransformerException, ParserConfigurationException, SAXException {
		
		applyAspectDepth = step;

		currXMLDoc = mTransformer.getXMLDoc(className, lang, applyAspectDepth);

		NodeIterator aspects = XPathAPI.selectNodeIterator(currXMLDoc, "//class/aspects/aspect");
		Node aspect = null; 
		while ((aspect = aspects.nextNode())!= null) {
			applyAspect(className, lang, aspect);
		}	
	}

	private void applyAspect(String className, String lang, Node aspect)  
		throws FileNotFoundException, IOException, TransformerException, ParserConfigurationException, SAXException {

		Node nameAtt = XPathAPI.selectSingleNode(aspect, "./@name");
		Node templateAtt = XPathAPI.selectSingleNode(aspect, "./@template");

		applyAspectDepth = mTransformer.buildToXML(className, templateAtt.getNodeValue(), lang, applyAspectDepth, nameAtt.getNodeValue());
		
		NodeIterator subAspects = XPathAPI.selectNodeIterator(aspect, "./aspect");
		Node subAspect = null;
		while ((subAspect = subAspects.nextNode())!= null) {
			applyAspect(className, lang, subAspect);
		}
	}
}