import java.io.*;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.TransformerException;

import org.w3c.dom.Node;
import org.xml.sax.SAXException;

public class MuliniClass {
	private String className;
	private String template;
	private String lang;
	private String loc;

	private MuliniTransformer mTransformer;
	private MuliniAspectWeaver mAspectW;
	private Node classNode;

	private int lastStep;	
	
	public MuliniClass(String className, 
						String template,
						String lang,
						String loc,
						MuliniTransformer mTransformer,
						MuliniAspectWeaver mAspectW,
						Node n) {
		this.className = className;
		this.template = template;
		this.lang = lang;
		this.loc = loc;

		this.mTransformer = mTransformer;
		this.mAspectW = mAspectW;
		this.classNode = n;

		this.lastStep = 0;
	}

	public void setXML() throws FileNotFoundException, IOException, TransformerException{
		mTransformer.setXML(classNode, className, lang, lastStep);
	}

    public void buildToXML() throws FileNotFoundException, IOException, TransformerException {
		lastStep = mTransformer.buildToXML(className, template, lang, lastStep, null);
	}

	public void weaveAspects() 
		throws FileNotFoundException, IOException, TransformerException, ParserConfigurationException, SAXException {
		mAspectW.weaveAspects(className, lang, lastStep);
	}

	public void buildToSource () throws FileNotFoundException, IOException, TransformerException,
		ParserConfigurationException, SAXException{ 

		mTransformer.buildToSource(className, lang, mAspectW.getAspectDepth());
	}
}