import java.io.*; 

import javax.xml.parsers.DocumentBuilderFactory;
//import javax.xml.transform.OutputKeys;
//import javax.xml.transform.Transformer;
//import javax.xml.transform.TransformerFactory;
//import javax.xml.transform.TransformerConfigurationException;
//import javax.xml.transform.TransformerException;
//import javax.xml.transform.dom.DOMSource;
//import javax.xml.transform.stream.StreamResult;
//import javax.xml.transform.stream.StreamSource;

import org.apache.xpath.XPathAPI;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
//import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.traversal.NodeIterator;
import org.xml.sax.InputSource;

public class SourceWeaver {

	private InputSource xtb;

	public SourceWeaver (InputSource in) {
		xtb = in;
	}   

	private void doBuildProcess(Node activity, Document xtb, String targetTagName) throws Exception {
		NodeIterator builds = XPathAPI.selectNodeIterator(activity, "./build");
		Node build = null;

		while ((build = builds.nextNode())!= null) {
			Node classNameAtt = XPathAPI.selectSingleNode(build, "./@class");
			String className = classNameAtt.getNodeValue();
			Node classLocAtt = XPathAPI.selectSingleNode(build, "./@loc");
			String classLoc = classLocAtt.getNodeValue();

			NodeIterator builtTargets = XPathAPI.selectNodeIterator(xtb, "/xtbl/" + targetTagName);
			Node builtTarget = null;

			while ((builtTarget = builtTargets.nextNode())!= null) {
				Node nameAtt = XPathAPI.selectSingleNode(builtTarget, "./@name");
				Node templateAtt = XPathAPI.selectSingleNode(builtTarget, "./@template");
				Node langAtt = XPathAPI.selectSingleNode(builtTarget, "./@lang");
				
				if (nameAtt.getNodeValue().equals(className)) {
					MuliniTransformer mTransformer = new MuliniTransformer();
					MuliniAspectWeaver mAspectW = new MuliniAspectWeaver(mTransformer);

					MuliniClass mClass = new MuliniClass(className, 
														templateAtt.getNodeValue(),
														langAtt.getNodeValue(),
														classLoc,
														mTransformer,
														mAspectW,
														builtTarget);

					mClass.setXML();

					mClass.buildToXML();

					mClass.weaveAspects();

					mClass.buildToSource();
				}
			}
			
		}					
	}

    //add more for compile, deployment


    public void generateSource () throws Exception {
		DocumentBuilderFactory dfactory = DocumentBuilderFactory.newInstance();
		dfactory.setNamespaceAware(true);
		Document doc = dfactory.newDocumentBuilder().parse(xtb);
		
		NodeIterator activities = 
			XPathAPI.selectNodeIterator(doc, "/xtbl/activities/activity");
		Node activity = null;    
		
		while ((activity = activities.nextNode())!= null) {
			Node typeAtt = XPathAPI.selectSingleNode(activity, "./@type");
			Node targetAtt = XPathAPI.selectSingleNode(activity, "./@target");

			if (typeAtt.getNodeValue().equals("build")) {
				doBuildProcess(activity, doc, targetAtt.getNodeValue());
			}
			//add more for compile, deployment
				
		}					
	}	  
} 

